package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TyJhxxzbVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyJhxxzbService
 * @ProjectName TyJhxxzbService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyJhxxzbService {

	/**
	 * 获取信息列表
	 * @param TyJhxxzbVO
	 * @return
	 */
	List<TyJhxxzbVO> getTyJhxxzbList(TyJhxxzbVO tyJhxxzbVO);

	/**
	 * 分页展示
	 * @param TyJhxxzbVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyJhxxzbVO> getTyJhxxzbPage(TyJhxxzbVO tyJhxxzbVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyJhxxzbVO
	 * @return
	 */
	int insert(TyJhxxzbVO tyJhxxzbVO);

	/**
	 * 更新信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int update(TyJhxxzbVO tyJhxxzbVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param dAjxxsjyVO
	 * @return
	 */
	int delete(String jsid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyJhxxzbVO getJhxxzbByJhxxzbid(String jsid);

}
